Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenNavigatorChildReference

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenNavigatorChildReferenceImpl

    public interface GenNavigatorChildReference

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Navigator Child Reference'.

The following features are supported:

- `Navigator`
- `Parent`
- `Child`
- `Reference Type`
- `Group Name`
- `Group Icon`
- `Hide If Empty`

See Also:
  `GMFGenPackage.getGenNavigatorChildReference()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<GenNavigatorPath>` `findConnectionPaths()`
`GenCommonBase` `getChild()` Returns the value of the 'Child' reference
`java.lang.String` `getGroupIcon()` Returns the value of the 'Group Icon' attribute
`java.lang.String` `getGroupName()` Returns the value of the 'Group Name' attribute
`GenNavigator` `getNavigator()` Returns the value of the 'Navigator' container reference.
`GenCommonBase` `getParent()` Returns the value of the 'Parent' reference
`GenNavigatorReferenceType` `getReferenceType()` Returns the value of the 'Reference Type' attribute.
`boolean` `isHideIfEmpty()` Returns the value of the 'Hide If Empty' attribute.
`boolean` `isInsideGroup()`
`void` `setChild(GenCommonBase value)` Sets the value of the '`Child`' reference
`void` `setGroupIcon(java.lang.String value)` Sets the value of the '`Group Icon`' attribute
`void` `setGroupName(java.lang.String value)` Sets the value of the '`Group Name`' attribute
`void` `setHideIfEmpty(boolean value)` Sets the value of the '`Hide If Empty`' attribute
`void` `setParent(GenCommonBase value)` Sets the value of the '`Parent`' reference
`void` `setReferenceType(GenNavigatorReferenceType value)` Sets the value of the '`Reference Type`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNavigator

    GenNavigator getNavigator()

  Returns the value of the 'Navigator' container reference. It is bidirectional and its opposite is '`Child References`'.

  If the meaning of the 'Navigator' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Navigator' container reference.
  See Also:
    `GMFGenPackage.getGenNavigatorChildReference_Navigator()`, `GenNavigator.getChildReferences()`
  ** Generated **
  Model:
    opposite="childReferences" resolveProxies="false" transient="false" changeable="false"

### getParent

    GenCommonBase getParent()

  Returns the value of the 'Parent' reference.

  If the meaning of the 'Parent' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent' reference.
  See Also:
    `setParent(GenCommonBase)`, `GMFGenPackage.getGenNavigatorChildReference_Parent()`
  ** Generated **
  Model:

### setParent

    void setParent(GenCommonBase value)

  Sets the value of the '`Parent`' reference.

  Parameters:
    `value` - the new value of the 'Parent' reference.
  See Also:
    `getParent()`
  ** Generated **

### getChild

    GenCommonBase getChild()

  Returns the value of the 'Child' reference.

  If the meaning of the 'Child' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Child' reference.
  See Also:
    `setChild(GenCommonBase)`, `GMFGenPackage.getGenNavigatorChildReference_Child()`
  ** Generated **
  Model:
    required="true"

### setChild

    void setChild(GenCommonBase value)

  Sets the value of the '`Child`' reference.

  Parameters:
    `value` - the new value of the 'Child' reference.
  See Also:
    `getChild()`
  ** Generated **

### getReferenceType

    GenNavigatorReferenceType getReferenceType()

  Returns the value of the 'Reference Type' attribute. The literals are from the enumeration `GenNavigatorReferenceType`.

  If the meaning of the 'Reference Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Reference Type' attribute.
  See Also:
    `GenNavigatorReferenceType`, `setReferenceType(GenNavigatorReferenceType)`, `GMFGenPackage.getGenNavigatorChildReference_ReferenceType()`
  ** Generated **
  Model:
    required="true"

### setReferenceType

    void setReferenceType(GenNavigatorReferenceType value)

  Sets the value of the '`Reference Type`' attribute.

  Parameters:
    `value` - the new value of the 'Reference Type' attribute.
  See Also:
    `GenNavigatorReferenceType`, `getReferenceType()`
  ** Generated **

### getGroupName

    java.lang.String getGroupName()

  Returns the value of the 'Group Name' attribute.

  If the meaning of the 'Group Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group Name' attribute.
  See Also:
    `setGroupName(String)`, `GMFGenPackage.getGenNavigatorChildReference_GroupName()`
  ** Generated **
  Model:

### setGroupName

    void setGroupName(java.lang.String value)

  Sets the value of the '`Group Name`' attribute.

  Parameters:
    `value` - the new value of the 'Group Name' attribute.
  See Also:
    `getGroupName()`
  ** Generated **

### getGroupIcon

    java.lang.String getGroupIcon()

  Returns the value of the 'Group Icon' attribute.

  If the meaning of the 'Group Icon' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group Icon' attribute.
  See Also:
    `setGroupIcon(String)`, `GMFGenPackage.getGenNavigatorChildReference_GroupIcon()`
  ** Generated **
  Model:

### setGroupIcon

    void setGroupIcon(java.lang.String value)

  Sets the value of the '`Group Icon`' attribute.

  Parameters:
    `value` - the new value of the 'Group Icon' attribute.
  See Also:
    `getGroupIcon()`
  ** Generated **

### isHideIfEmpty

    boolean isHideIfEmpty()

  Returns the value of the 'Hide If Empty' attribute. The default value is `"true"`.

  If the meaning of the 'Hide If Empty' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Hide If Empty' attribute.
  See Also:
    `setHideIfEmpty(boolean)`, `GMFGenPackage.getGenNavigatorChildReference_HideIfEmpty()`
  ** Generated **
  Model:
    default="true"

### setHideIfEmpty

    void setHideIfEmpty(boolean value)

  Sets the value of the '`Hide If Empty`' attribute.

  Parameters:
    `value` - the new value of the 'Hide If Empty' attribute.
  See Also:
    `isHideIfEmpty()`
  ** Generated **

### isInsideGroup

    boolean isInsideGroup()

  ** Generated **
  Model:
    kind="operation"

### findConnectionPaths

    org.eclipse.emf.common.util.EList<GenNavigatorPath> findConnectionPaths()

  ** Generated **
  Model:

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.